[hcflinux] HCF & suspend2

Linuxant support (Jonathan) support at linuxant.com
Mon May 1 16:47:34 EDT 2006


this is a known issue with the HCF PCI driver version 1.10 and a kernel 
patched with the suspend2 patch. A patch for the HCF PCI driver version 
1.10 to improve suspend2 support can be applied with the 'hcfpciconfig 
--patch' command in a root shell.


Technical specialist / Linuxant
support at linuxant.com

Christopher Covington wrote:
> Hi, I'm trying to outfit a somewhat ancient compaq presario 1400 which
> has an onboard Connexant HCF 56k modem/ethernet card. My distro is
> Gentoo and my kernel sources are the beyond patchset, version 3:
> http://iphitus.loudas.com/beyond.html. After the same initial problem
> as Alex Lancaster
> <http://www.linuxant.com/pipermail/hcflinux/2006q1/001295.html> I
> filed a bugreport on Gentoo's bugzilla
> <http://bugs.gentoo.org/show_bug.cgi?id=131682>. I edited the ebuild
> to apply the suspend2 patch when using my sources, (the ebuild in
> Portage only knows how to deal with the officially supported
> suspend2-sources). After applying the patch, I got the exact same
> error as Mr. Lancaster did after he applied the patch
> <http://www.linuxant.com/pipermail/hcflinux/2006q1/001299.html>. I
> tried removing every trace of hcfpcimodem (as it is called on Gentoo)
> from my system and reinstalling it, but to no avail. I'm pasting my
> emerge --info and hcfpciconfig-buildlog.txt for completeness (and so
> that people in the situation I was in can find this problem in the
> mailing list archives through google). I'm attatching my hcfpciconfig
> -d and emerge --info.
> _______________________________________________
> hcflinux mailing list
> hcflinux at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/hcflinux

More information about the hcflinux mailing list